Kerbal Space Program - Bug #13492

UNDO in EDITOR reverts all module values to default
12/26/2016 10:46 AM - ShotgunNinja

Status: Confirmed Start date: 12/26/2016
Severity: Normal % Done: 10%
Assignee:

Category: Editor

Target version:

Version: 1.10.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

To replicate:

- enter the editor

- add a mk1pod

- turn the pod light on

- add another part

- hit CTRL+Z to undo

- the pod light will now be off, but it shouldn't

History

#1 - 07/03/2020 12:20 AM - Krazy1

- Subject changed from UNDO in EDITOR revert all module values to default to UNDO in EDITOR reverts all module values to default
- Category changed from Gameplay to Editor

- Version changed from 1.2.2 to 1.10.0

- Expansion Core Game added

UNDO still not fixed in v1.10.

ctrl-Z reverts all actions back until the second prior visible part change. This includes:
- fuel quantity in tanks/ solid fuel in rockets, monopropellant in capsules, etc.

- fuel flow priority changes for tanks

- engine thrust limiter

- generally all PAW changes

- staging order changes too

Each of these changes should be separate steps in the undo history. Again - UNDO reverts all of these property changes back to just after the
SECOND prior visible part change (add/ move / rotate/ delete). This can make many unexpected and invisible changes. This is a significant editor
problem IMO.

Further suggestions - for invisible properties, UNDO should notify the user somehow: message or part highlight, something.
Also, PLEASE make ESC cancel a part move operation. It seems trivial. I've seen many complaints in forums about this.

#3 - 07/15/2020 06:46 PM - RafaHdz

- Status changed from New to Confirmed

- % Done changed from 0 to 10

#4 - 01/10/2021 08:50 PM - Krazy1

In v1.11 in addition to the previous problems, changes to ship cargo inventory are also undone prior to the visible change in the model. For example,

you may get to orbit and realize the jetpack you put in a capsule is gone.

#5 - 02/05/2021 01:55 AM - Neilski

I've experienced this too - desperately annoying.
